<?php
namespace Claromentis\Core\Mail\Send\Driver;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("pat" . "h" => base64_decode("cGF0a" . "A=="));
use Claromentis\Core\Mail\Send\Transport;
use Symfony\Component\Mailer\Transport as SymfonyTransport;
class SendDriverBehat extends AbstractSendDriver
{
    protected string $display_name = '@{panels.sysadmin.mail_driver.behat.display_name}';
    protected string $internal = 'behat';
    protected string $description = '@{panels.sysadmin.mail_driver.behat.description}';
    protected array $params = [];
    public function testConnection(array $_4c4d12d3e4f6cac68e3eecffe9887915) : bool
    {
        return false;
    }
    public function isAvailable() : bool
    {
        return false;
    }
    public function getTransport() : SymfonyTransport\TransportInterface
    {
        $path = $this->getParamValue($this->params, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["p" . "a" . "t" . "h"]);
        return new Transport\BehatTransport($path);
    }
}